Summary:        Libraries for the Matchbox Desktop
Name:           libmatchbox 
Version:        1.11
Release:        3%{?dist}
License:        LGPLv2+
Url:            http://projects.o-hand.com/matchbox/
Source0:        https://downloads.yoctoproject.org/releases/matchbox/%{name}/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  make autoconf automake libtool
BuildRequires:  libpng-devel libjpeg-devel
BuildRequires:  check-devel pango-devel

%description
This package provides a base environment for the X Window System running on non-desktop 
embedded platforms such as handhelds, kiosks, set-top boxes and other platforms where 
screen space, input mechanisms or system resources are limited.

%package devel
Summary:        Static libraries and header files from %{name}
Provides:       matchbox-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       libmb-devel = %{version}-%{release}
Requires:       libmatchbox = %{version}
Requires:       pkgconfig

%description devel
This package provides static libraries and header files from libmatchbox.

%prep
%autosetup -p1

%build
autoreconf -iv
%configure --enable-png --enable-jpeg --enable-pango
%make_build

%install
rm -rf %{buildroot}
%make_install

find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'

%files 
%_libdir/*.so.*

%files devel
%license COPYING
%doc AUTHORS ChangeLog README
%dir %{_includedir}/libmb
%{_includedir}/libmb/*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11-2
- Rebuilt for loongarch release

* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 1.11-1
- Upgrade to version 1.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 24 2022 Wang Guodong <gordonwwang@tencent.com> - 1.9-1
- package init.
